%define	name      kazehakase
%define	version   0.5.0
%define	release   %mkrel 1

%define libname_orig	lib%{name}
%define major		0
%define libname		%mklibname %{name} %{major}

Name:		%{name}
Summary:	A fast and light tabbed web browser using gecko
Version:	%{version}
Release:	%{release}
URL:		http://kazehakase.sourceforge.jp
Source0:	%{name}-%{version}.tar.gz
# icons
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
Requires:	%{libname} = %{version}
Requires:	mozilla-firefox
BuildRequires:	intltool
BuildRequires:	mozilla-firefox-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
BuildRequires:	automake
BuildRequires:	gnutls-devel

%description
Kazehakase is a fast and light tabbed browser using gecko.
"Kaze" means "wind", and "Hakase" means "Dr." in Japanese.


%package -n %{libname}
Summary:	Kazehakase library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Kazehakase library.


%prep
%setup -q

%build
# force to regenerate configure
cp /usr/share/automake-1.10/mkinstalldirs .
./autogen.sh
%configure2_5x \
	--enable-migemo 
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

# icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %SOURCE10 %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 %SOURCE11 %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 %SOURCE12 %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# remove devel files
rm -f %{buildroot}/%{_libdir}/kazehakase/*.{la,so}

# menu
perl -pi -e 's,kazehakase-icon.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="WebBrowser" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING.README 
%doc README README.ja TODO.ja
%config(noreplace) %{_sysconfdir}/kazehakase/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/kazehakase/kz-no-thumbnail.png
%{_datadir}/kazehakase/search-result.css
%{_datadir}/kazehakase/icons/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/kazehakase
%dir %{_libdir}/kazehakase/embed
%{_libdir}/kazehakase/embed/gecko.la
%{_libdir}/kazehakase/embed/gecko.so
%dir %{_libdir}/kazehakase/search
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/kazehakase/*.so.%{major}*



%changelog
* Fri Nov 09 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.0-1mdv2008.1
+ Revision: 107220
- oops, correct icon name fix
- don't package COPYING
- further XDG menu fixups
- drop legacy menu and X-Mandriva category
- fd.o icons
- spec clean
- clean and update buildrequires
- new license policy
- new release 0.5.0

* Thu May 03 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.4.6-1mdv2008.0
+ Revision: 21501
- Updated to 0.4.6.


* Tue Feb 06 2007 Lenny Cartier <lenny@mandriva.com> 0.4.4.1-2mdv2007.0
+ Revision: 116688
- Less options in configure
- Update to 0.4.4.1
- Update to 0.4.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add missing buildrequires
    - Import kazehakase

* Thu Oct 05 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-1mdv2007.0
- new release

* Sat Sep 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-2.20060915.1mdv2007.0
- latest snapshot
- remove patch0

* Wed Sep 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdv2007.0
- new release
- switch to XDG
- remove patch0 (kazehakase_enable_hyperestraier.diff)
- (merged upstream)
- change gecko engine (mozilla -> firefox)
- add new patch0 (kazehakase-force_gecko_version.diff)

* Fri Jan 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.4-1mdk
- new release
- change gecko engine (firefox -> mozilla)
- we can't build kazehakase-0.3.4 against firefox-1.5. :-/
- add a lib package

* Thu Dec 01 2005 Lenny Cartier <lenny@mandriva.com> 0.3.3-1mdk
- 0.3.3

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.2-2mdk
- fix buildrequires
- cleanup requires
- from UTUMI Hirosi:
  o new release
  o patch 0: enable hyperestraier

* Sun Oct 30 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.3.2-1mdk
- from UTUMI Hirosi
	- new release
	- add libgnutls11 to requires

* Tue Aug 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.9-1mdk
- do not overwrite configuration on update
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Jul 01 2005 Lenny Cartier <lenny@mandriva.com> 0.2.8-1mdk
- 0.2.8

* Mon May 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.7-1mdk
- new release

* Wed Mar 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.6-1mdk
- new release
- modify summary (browser -> web browser)
- change requires/buildrequires (mozilla -> mozilla-firefox)
- add "--with-gecko-engine=firefox" to configure

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release
- fix build

* Wed Dec 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.3-1mdk
- new release

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.2-1mdk
- new release

* Tue Nov 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2mdk
- new release
- add icons

* Fri Oct 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1.cvs20040930.1mdk
- new release
- cvs20040930

* Tue Sep 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.9-2.cvs20040927.1mdk
- cvs20040927

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8.1-1mdk
- cleanup
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o initial spec for mdk
  o patch 0: fix autogen

